> ## Documentation Index
> Fetch the complete documentation index at: https://docs.periskope.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Private Note

> This endpoint retrieves a specific private note based on a specific `note_id`.



## OpenAPI

````yaml GET /notes/{note_id}
openapi: 3.0.3
info:
  title: API - Local
  description: >-
    #### Welcome to the official Postman collection of Periskope API


    Periskope APIs enable you automate actions on your WhatsApp phone, and the
    Periskope platform


    - Read more about the APIs & webhooks here -
    [https://docs.periskope.app/api-reference/introduction](https://docs.periskope.app/api-reference/introduction)
        
    - We encourage responsible usage of the APIs. Follow these best practices
    and recommendations for safe actions on WhatsApp -
    [https://docs.periskope.app/get-started/best-practices](https://docs.periskope.app/get-started/best-practices)
        

    #### Getting Started


    ##### Pre-requisites:


    1. **Sign up for a free account on Periskope:** To use the Periskope API,
    you need to have an active Periskope account. If you don’t have one, you can
    sign up for a 7-day free trial [here](https://console.periskope.app).
        
    2. **Scan the QR code from WhatsApp to connect your phone:** A connected
    phone is required to use the APIs
        
    3. **Go to** [Settings &gt;
    API](https://console.periskope.app/settings/api), and generate an API key
    for your organization - The API key is used to authenticate every request.
    Please keep this secure
        

    ##### Using Postman:


    1. **Fork the collection so you can edit values and test the APIs in your
    own postman environment:** To fork the collection, click on the three dots
    next to v1. Then click on create a fork (_shortcut: Ctrl + Alt + F)._
        
    2. **Update the value of the variables in the collection:**  
        \- Update the API key with the key generated in Step 3  
        \- Update the phone number with your connected number. This number will be added to the `x-phone` header across requests
        
        It must be in the format of country code+number, with no special characters or spaces _e.g. +91 98745 32456 becomes 919874532456_
        

    For any help or feedback, please contact us at
    [support@periskope.app](https://mailto:support@periskope.app), or ping us on
    [WhatsApp](https://what.sapp.link/periskope)
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.periskope.app/v1
security:
  - bearerAuth: []
tags:
  - name: contacts
  - name: tickets
  - name: tasks
  - name: phones
  - name: message
  - name: queue
  - name: chats
  - name: group
  - name: members
  - name: webhooks
paths:
  /notes/{note_id}:
    get:
      tags:
        - note
      summary: Get Private Note
      description: >-
        This endpoint retrieves a specific private note based on a specific
        `note_id`.
      operationId: getNoteById
      parameters:
        - name: note_id
          in: path
          required: true
          schema:
            type: string
            example: true_91953785XXXX@c.us_3EB0C62861626B2D8BD4A386E48976EC85CB009C
          description: '- The note_id of the private note'
        - name: x-phone
          in: header
          schema:
            type: string
            example: '{{orgPhone}}'
          description: >-
            **Optional.** The phone to scope this request to — in country code +
            number format with no spaces or special characters (e.g.
            919876543210), or the phone_id (phone-xxxxxxxxxxxx). When set, the
            note is looked up for that phone. When omitted, the note is looked
            up across all phones your token can access (the phones in your
            token's scope, or every phone in your organization if the token is
            unscoped); note_id is effectively unique, so a single note is
            returned. Passing a phone that is outside your token's scope returns
            a 401.
      responses:
        '200':
          description: Note
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Length:
              schema:
                type: string
                example: '70'
            Date:
              schema:
                type: string
                example: Wed, 22 Jan 2025 10:07:53 GMT
            ETag:
              schema:
                type: string
                example: W/"46-G83wmhGAIRrmKrMUWfoeGk61n3A"
            Keep-Alive:
              schema:
                type: string
                example: timeout=5
            X-Powered-By:
              schema:
                type: string
                example: Express
            X-RateLimit-Limit:
              schema:
                type: string
                example: '10'
            X-RateLimit-Remaining:
              schema:
                type: string
                example: '9'
            X-RateLimit-Reset:
              schema:
                type: string
                example: '1737540475'
            x-periskope-org-id:
              schema:
                type: string
                example: 2997dd64-89bf-48d3-9a22-b314fca017e5
            x-periskope-phone-id:
              schema:
                type: string
                example: phone-bqzvyibhmwkaergr
            x-periskope-trace-id:
              schema:
                type: string
                example: bec43610-d8a8-11ef-8033-3b03afb6e098
          content:
            application/json:
              schema:
                type: object
                description: >-
                  The response is a note object. Refer to [the note object
                  here](/api-reference/objects/the-note-object)
              examples:
                Notes:
                  value:
                    message_id: true_2dc1aa2c-d711-4497-864d-92bb5709xxxx_api
                    org_id: 2997dd64-89bf-48d3-9a22-b314fca0xxxx
                    ack: '3'
                    body: testing with a new note payload
                    from_me: true
                    message_type: audio
                    chat_id: 91882424xxxx@c.us
                    timestamp: '2025-08-20T10:58:27.642+00:00'
                    org_phone: 91852718xxxx@c.us
                    performed_by: api
                    prev_body: null
                    quoted_message_id: null
                    sender_phone: 91852718xxxx@c.us
                    sent_message_id: 2dc1aa2c-d711-4497-864d-92bb57092073
                    updated_at: '2025-08-20T10:58:27.642+00:00'
                    is_private_note: true
                    media:
                      path: >-
                        https://storage.googleapis.com/periskope-attachments/2997dd64-89bf-48d3-9a22-b314fca017e5%2F918527184400%40c.us%2F2dc1aa2c-d711-4497-864d-92bb57092073%2Fbeep.wav
                      filename: beep.wav
                      mimetype: audio/wav
                    unique_id: 2dc1aa2c-d711-4497-864d-92bb57092073
                    mentioned_ids: []
                    is_deleted: null
      x-codeSamples:
        - lang: TypeScript
          label: Node.js
          source: |-
            import { PeriskopeApi } from '@periskope/periskope-client';

            const client = new PeriskopeApi({
              authToken: 'YOUR_API_KEY',
              phone: 'YOUR_PHONE_NUMBER', // Optional for this endpoint — omit to return the note looked up across all phones your token can access
            });

            async function fetchNotes() {
              const response = await client.reaction.getNoteById({
                note_id: 'true_xxxxxxxxx-9892-40e9-af89-be65916ac089_bharat@hashlabs.dev'
              });

              console.log(response);
            }

            fetchNotes();
        - lang: cURL
          label: cURL
          source: >-
            # x-phone is optional for this endpoint — omit it to return the note
            looked up across all phones your token can access

            curl -X GET "https://api.periskope.app/v1/note/{note_id}" \
              -H 'Authorization: Bearer <YOUR_API_KEY>' \
              -H 'Content-Type: application/json' \
              -H 'x-phone: 919876543210' \
              -d '{
                "note_id": "true_91953785XXXX@c.us_3EB0C62861626B2D8BD4A386E48976EC85CB009C"
              }'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````